=== debian/changelog ===
mailx (1:8.1.2-0.20050715cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository:
    + fixed segfault in list.c (closes: #313306).
  * Standard-Version: 3.6.2 (no changes).  

 -- Robert Luberda <robert@debian.org>  Fri, 15 Jul 2005 00:28:33 +0200

mailx (1:8.1.2-0.20040524cvs-4) unstable; urgency=low

  * Fix documentation of sendmail options in the man page and in the
    mailx's usage output (closes: #285259).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Dec 2004 13:58:28 +0100

mailx (1:8.1.2-0.20040524cvs-3) unstable; urgency=medium

  * fio.c: Fix segfault on wildcard expansion introduced in previous upload.
    Thanks to Yuri D'Elia for noticing this (see bug#148389).

 -- Robert Luberda <robert@debian.org>  Sat, 13 Nov 2004 22:23:14 +0100

mailx (1:8.1.2-0.20040524cvs-2) unstable; urgency=medium

  * Bugfix release (closes: #278748):
    + fio.c: Use wordexpr() instead of calling /bin/echo not to allow
      executing external commands while expanding shell variables
      and wildcards.
    + names.c: isfileaddr function return false if '@', '!' or '%' i
      characters occur anywhere (e.g not only before the slash) in the
      recipient name.

 -- Robert Luberda <robert@debian.org>  Wed,  3 Nov 2004 20:46:39 +0100

mailx (1:8.1.2-0.20040524cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * debian/control: add exim4 alternative to mail-transport-agent
    dependency (closes: #248498).
  * USD.doc/mail*.nr: changed references from /usr/lib/Mail.rc to
    /etc/mail.rc.
  * USD.doc/Makefile, debian/rules: generate and install manual.txt 
    (like in the upstream version).
  * Removed lintian override file, it's no longer needed.
  * Add lintian source overrides for `cvsignore-file-in-source' 
    and `source-contains-CVS-dir'.

 -- Robert Luberda <robert@debian.org>  Mon, 24 May 2004 23:03:47 +0200

mailx (1:8.1.2-0.20031014cvs-2) unstable; urgency=medium

  * edit.c: if the external editor (called by ~e or ~v commands) fails for
    some reason, don't delete the temporary file if it has been modified.
    This partly fixes bug#148037.
  * popen.c: print exit code of failed commands.
  * quit.c: change message saying that mailbox was "removed" to "truncated"
    (closes: #196682); mailx does not remove mailboxes, see the entry
    for 1:8.1.2-0.20020316cvs-2 in this changelog for the reason.

 -- Robert Luberda <robert@debian.org>  Wed, 31 Mar 2004 23:42:19 +0200

mailx (1:8.1.2-0.20031014cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD.
  * Fix problem with building on Hurd (closes: #213929).
  * mail.1: removed reference to non-existent lockspool man page.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 14 Oct 2003 20:48:51 +0200

mailx (1:8.1.2-0.20030521cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD.
  * Added EXT/vis.[ch] files, needed for compiling this version.
  * Minor fix in Makefile (closes: #181022).
  * debian/control: Remove ending dot from synopsis line (lintian).
  * Standards-Version: 3.5.10 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 22 May 2003 21:12:21 +0200

mailx (1:8.1.2-0.20020411cvs-5) unstable; urgency=low

  * cmd1.c: Check if return value of screensize() > 0 (closes: #170784).
  * Support DEB_BUILD_OPTIONS=noopt instead of debug.
  * Build with debhelper v4.
  * Standards-Version: 3.5.8.

 -- Robert Luberda <robert@debian.org>  Sat,  7 Dec 2002 11:42:34 +0100

mailx (1:8.1.2-0.20020411cvs-4) unstable; urgency=low

  * send.c: Always wait for a sendmail process, check its exit code
    and if non-zero, print a warning message to user and save original
    message to ~/dead.letter (closes: #145379).
  * popen.c: Make wait_child() return an exit code of the child.

  * mail.1: s/^\.ne li$/.ne/g to fix groff warnings.

 -- Robert Luberda <robert@debian.org>  Sat, 24 Aug 2002 22:15:23 +0200

mailx (1:8.1.2-0.20020411cvs-3) unstable; urgency=low

  * aux.c: in function alter() do initialize tv_usec part of the
    timeval structure used to set modification time on the mailbox
    file (closes: #152038).
    Thanks to John Girash for help.

 -- Robert Luberda <robert@debian.org>  Thu, 11 Jul 2002 05:21:34 +0200

mailx (1:8.1.2-0.20020411cvs-2) unstable; urgency=low

  * collect.c: return from grabh() if stdin is not a terminal. 
    This fixes the `-I' option (closes: #149005).

 -- Robert Luberda <robert@debian.org>  Tue, 18 Jun 2002 22:55:27 +0200

mailx (1:8.1.2-0.20020411cvs-1) unstable; urgency=high

  * New upstream CVS snapshot, with only one change, which fixes
    potential security problem:
    + collect.c:
        Don't do tilde escapes unless we are in interactive mode.  Now the
        behavior matches the man page...
  * Many thanks to Michal Pajak for pointing out the problem.

 -- Robert Luberda <robert@debian.org>  Thu, 11 Apr 2002 19:07:59 +0200

mailx (1:8.1.2-0.20020316cvs-3) unstable; urgency=low

  * fio.c: fixed previous patch (closes: #140527,#140485).

 -- Robert Luberda <robert@debian.org>  Tue,  2 Apr 2002 07:14:58 +0200

mailx (1:8.1.2-0.20020316cvs-2) unstable; urgency=low

  * fio.c: Don't delete mailbox file, always truncate it, because liblockfile
    fails to remove the lock file if mailbox doesn't exist (closes: #111537).

 -- Robert Luberda <robert@debian.org>  Wed, 27 Mar 2002 09:20:08 +0100

mailx (1:8.1.2-0.20020316cvs-1) unstable; urgency=low

  * Applied patches from Arnaud Giersch <arnaud.giersch@free.fr>
    which fix outstanding problems:
    + closes: #37104: Bug in all mailx* (tested: <=mailx_8.1.1-10).
    + closes: #71759: mailx concatenates messages.
    MANY THANKS FOR YOUR HELP, Arnaud!

  * New upstream version from OpenBSD CVS repository:
    + closes: #34752: mail causes segmentation fault when pushing Ctrl+C.
  * This version uses strlcpy&strlcat functions, appropriate files were
    included in Debian patch.

