=== debian/control ===
Source: mailx
Section: mail
Priority: important
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.1.60), groff, liblockfile-dev (>= 1.05)

Package: mailx
Architecture: any
Depends: ${shlibs:Depends}, exim4 | mail-transport-agent, base-files (>= 2.2.0)
Conflicts: suidmanager (<< 0.52)
Provides: mail-reader
Description: A simple mail user agent
 mailx is the traditional command-line-mode mail user agent.
 Even if you don't use it it may be required by other programs.
